
// Online C++ Compiler - Build, Compile and Run your C++ programs online in your favorite browser

#include<iostream>

using namespace std;

int main(){
    int h,w;
    cin>>h>>w;
    long long dp[w+1][h+1];
    for(int i=1; i<=w; i++) dp[i][1]=i*i;
    for(int j=1; j<=h; j++) dp[1][j]=j*j;
    for(int i=2; i<=w; i++){
        for(int j=2; j<=h; j++){
            if(i>j) dp[i][j]=dp[i-1][j]+i*j+j*j;
            else dp[i][j]=dp[i][j-1]+i*j+i*i;
        }
    }
    cout<<dp[w][h];
    return 0;
}
